[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.ShouldAutoAdjust

Determines if the control should auto-adjust its Height and/or Width.

## Declaration

Source position: stdctrls.pp line 834

`protected procedure TCustomEdit.ShouldAutoAdjust(`
`var AWidth: Boolean;`
`var AHeight: Boolean`
`); override;`

## Arguments

`AWidth` |  | True when Width can be auto-adjusted.
`AHeight` |  | True when Height can be auto-adjusted.

## Description

ShouldAutoAdjust is an overridden method in TCustomEdit used to determine if the control can auto-adjust its Height and/or Width.

AWidth and AHeight are variable Boolean parameters which indicate if the corresponding property can be auto-sized. AWidth is always set to True for TCustomEdit. AHeight is set to the inverse of the value in AutoSize.

ShouldAutoAdjust does NOT call the inherited method.

## See also

TControl.ShouldAutoAdjust |  | Indicates whether the height and/or width for a control can be automatically adjusted.